<script>
export default {
  name: 'BhBizcardDetailsUi',
  props: {
    bizcard: {
      type: Object,
      default: () => ({}),
    },
  },
};
</script>

<template>
  <article
    data-cid="{ BhBizcardDetailsUi }"
    data-grid-area="details"
    class="[ bh-bizcard-details-ui ]"
  >
    <!-- prettier-ignore -->
    <a-details-card-ui
      class="h-full w-full mx-auto rounded-t-lg sm:rounded-b-none ml:rounded-b-lg"
      :style="{
        '--a-details-card-ui--max-h': 'min(100%, 55rem)',
        '--a-details-card-ui--max-w': 'var(--bh-bizcard-details-area--w)',
        '--a-details-card-ui--border-color': bizcard.type.color,
      }"
    >
      <template #header>
        <bh-bizcard-details-header-ui
          :bizcard="bizcard"
          @go-home="$emit('go-home')"
        />
      </template>

      <template #default>
        <!-- REFACTOR when @nuxt/components supports dynamic components -->
        <template v-if="['al', 'cs'].includes(bizcard.type.code)">
          <lazy-bh-bizmisc-details-ui :bizcard="bizcard" />
        </template>

        <template v-else-if="bizcard.type.code === 'cfe'">
          <lazy-bh-bizevent-details-ui :bizcard="bizcard" />
        </template>

        <template v-else>
          <lazy-bh-bizcall-details-ui :bizcard="bizcard" />
        </template>
      </template>

      <template #footer>
        <div class="flex items-end">
          <bh-topic-list-ui class="flex-grow" :topics="bizcard.topics" />
          <bh-share class="flex-shrink-0" :resource="bizcard" />
        </div>
      </template>
    </a-details-card-ui>
  </article>
</template>

<style lang="postcss" scoped>
.bh-bizcard-details-ui {
  height: var(--bh-bizcard-details-area--h);
  width: 100%;
}
</style>
